Subject: [mpls] FW: I-D Action: draft-manral-mpls-rfc3811bis-01.txt

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 5 Aug 2012 03:45:18 +0100

Hi,

<individual contributor mode>

This revision seems to be in a mess wrt versioning and dates.

It is not clear to me why the MIB module needs to be revised rather than
creating a new MIB module to contain MplsNewExtendedTunnelID.

*If* there is a need to open this module, why aren't you deprecating CR-LDP?

It is impossible to tell from this document exactly what has changed and why.

Although you list the original authors as Contributors and perpetuate the
Acknowledgements from 3811, I wonder whether you have discussed this with those
authors and considered acknowledging their work (to which you are making a very
minor tweak).

Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> On Behalf Of [email-masked]
> Sent: 03 August 2012 18:51
> To: [email-masked]
> Subject: I-D Action: draft-manral-mpls-rfc3811bis-01.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> 
> 
> 	Title           : Definitions of Textual Conventions (TCs) for
Multiprotocol
> Label Switching (MPLS) Management
> 	Author(s)       : Vishwas Manral
>                           T. Tsou
> 	Filename        : draft-manral-mpls-rfc3811bis-01.txt
> 	Pages           : 23
> 	Date            : 2012-08-03
> 
> Abstract:
>    This memo defines a Management Information Base (MIB) module which
>    contains Textual Conventions to represent commonly used Multiprotocol
>    Label Switching (MPLS) management information.  The intent is that
>    these TEXTUAL CONVENTIONS (TCs) will be imported and used in MPLS
>    related MIB modules that would otherwise define their own
>    representations.  This document obsoletes RFC3811 as it addresses the
>    need to support IPv6 extended TunnelID's by defining a new TC-
>    MplsNewExtendedTunnelID which suggests using IPv4 address of the
>    ingress or egress LSR for the tunnel for an IPv6 network.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-manral-mpls-rfc3811bis
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-manral-mpls-rfc3811bis-01
> 
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-manral-mpls-rfc3811bis-01
> 
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Vishwas Manral <[email-masked]>
Date: Mon, 6 Aug 2012 08:04:49 -0700

Hi Adrian,

Thanks a lot for your comments. I agree the version number and dates in the
MIB are messed up and will be corrected.

We have section 4 to describe what has changed in the MIB and its effects,
I guess that needs to clarified to clearly mention changes from the older
MIB. However the bigger issue is the way we want to proceed with this? Here
are the options I see:

1. There are a few ways to move forward like you mentioned, and I would
love to hear what the WG has to say:
a. Create a totally new MIB
b. Add an object to the existing MIB
c. Create a MIB with just the new Object

2. In my view deprecating CR-LDP does not solve the issue because, from
RFC3209 (RSVP-TE). Deprecating CR-LDP could be a different exercise however:

      Extended Tunnel ID

         A 16-byte identifier used in the SESSION that remains constant
         over the life of the tunnel.  Normally set to all zeros.
         Ingress nodes that wish to narrow the scope of a SESSION to the
         ingress-egress pair may place their IPv6 address here as a
         globally unique identifier.

Thanks,
Vishwas

On Sat, Aug 4, 2012 at 7:45 PM, Adrian Farrel <[email-masked]> wrote:

> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>